<?php

namespace SuperRhino\AppStoreServerApi\Response;

use SuperRhino\AppStoreServerApi\Util;

class LastTransactionsItem extends AbstractResponse {

    /**
     * The original transaction identifier of the auto-renewable subscription.
     */
    public string $originalTransactionId;

    /**
     * The status of the auto-renewable subscription.
     * @see SubscriptionStatusEnum
     */
    public int $status;

    /**
     * The subscription renewal information signed by the App Store, in JSON Web Signature (JWS) format.
     */
    public JWSRenewalInfo $signedRenewalInfo;

    /**
     * The transaction information signed by the App Store, in JWS format.
     */
    public JWSTransaction $signedTransactionInfo;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'signedRenewalInfo':
                return new JWSRenewalInfo(Util::unsafeDecodeJWS($value));
            case 'signedTransactionInfo':
                return new JWSTransaction(Util::unsafeDecodeJWS($value));
            default:
                return $value;
        }
    }

}