<?php

namespace SuperRhino\AppStoreServerApi\Response;

class SubscriptionGroupIdentifierItem extends AbstractResponse {

    /**
     * The subscription group identifier of the auto-renewable subscriptions in the lastTransactions array.
     */
    public string $subscriptionGroupIdentifier;

    /**
     * An array of the most recent App Store-signed transaction information and App Store-signed renewal information for all auto-renewable subscriptions in the subscription group.
     * @var LastTransactionsItem[]
     */
    public array $lastTransactions;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'lastTransactions':
                return array_map(function ($data) {
                    return new LastTransactionsItem($data);
                }, $value);
            default:
                return $value;
        }
    }

}